#ifndef GENERIC_VIDICON_H
#define GENERIC_VIDICON_H
#include "vidicon.h"
#include "vidicon_properties.h"

namespace zsy
{
    class GenericVidicon : public Vidicon
    {
        VidiconProperties config;
    public:
        ~GenericVidicon() override;

        GenericVidicon(const VidiconProperties &config);

        std::string photograph() override;
    };
} // zsy

#endif //GENERIC_VIDICON_H
